package cd.casic.plugin.core.register.database;

import lombok.Getter;

/**
 * @description: 目前只支持这两个
 * @author: mianbin
 * @date: 2025/5/22 17:06
 * @version: 1.0
 */
@Getter
public enum DBEnums {
    MYSQL("mysql"),
    SQLITE("sqlite");

    final String DBType;

    DBEnums(String DBType) {
        this.DBType = DBType;
    }

    public static DBEnums getEnumByString(String type) {
        switch (type) {
            case "mysql":
                return MYSQL;
            case "sqlite":
                return SQLITE;
            default:
                return null;
        }
    }
}
